server {
    listen {{ nginx_port_tls }} ssl default_server;
    listen [::]:{{ nginx_port_tls }} ssl default_server;

    server_name {{ ansible_host }};

    include snippets/self-signed.conf;
    include snippets/ssl-params.conf;

    root /usr/share/nginx/html;
    index index.html index.htm;
    server_name {{ ansible_host }};
    location / {
            try_files $uri $uri/ =404;
    }
}

server {
    listen {{ nginx_port_no_tls }} default_server;
    listen [::]:{{ nginx_port_no_tls }} default_server;
    server_name {{ ansible_host }};
    return 302 https://$server_name$request_uri;
}